=== debian/changelog ===
budgie-display-configurator (0.0.1-1) experimental; urgency=medium

  * Initial Release (Closes: #1120917)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 23 Oct 2025 20:38:59 +0100
