=== debian/control ===
Source: budgie-display-configurator
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://forge.moderndesktop.dev/BuddiesOfBudgie/budgie-display-configurator
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 cmake-extras,
 extra-cmake-modules,
 kirigami-addons-dev,
 libkf6bluezqt-dev,
 libkf6colorscheme-dev,
 libkf6config-dev,
 libkf6coreaddons-dev,
 libkf6dbusaddons-dev,
 libkf6i18n-dev,
 libkf6qqc2desktopstyle-dev,
 libkirigami-dev,
 libqt6qmlcompiler6,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-tools-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/ubuntubudgie/budgie-display-configurator/tree/debian
Vcs-Git: https://github.com/ubuntubudgie/budgie-display-configurator.git -b debian


Package: budgie-display-configurator
Architecture: any
Depends:
 qml6-module-org-kde-bluezqt,
 qml6-module-org-kde-config,
 qml6-module-org-kde-kirigamiaddons-statefulapp,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: budgie-desktop-services,
Description: Graphical display configuration tool for the Budgie Desktop
 Budgie Display Configurator is a graphical configuration tool for the
 Budgie Desktop.
 It primarily provides the ability to configure Display orientation,
 refresh and other aspects of display management.
 .
 The tool is tightly integrated with budgie-display-services which manages
 the setting of the Wayland aspects of display configuration.
